# Supplemental Code Release

<a href="https://zenodo.org/badge/latestdoi/542767925"><img src="https://zenodo.org/badge/542767925.svg" alt="DOI"></a>

This repository provides data, code, and supplementary information associated with the papers "Atmospheric River Sequences as Indicators of Hydrologic Hazard in Historical Reanalysis and GFDL SPEAR Future Climate Projections" ([https://doi.org/10.1029/2023EF003536](https://doi.org/10.1029/2023EF003536)) and "Temporal Compounding Increases Socioeconomic Impacts of Atmospheric Rivers in California" ([https://doi.org/10.1126/sciadv.adi7905](https://doi.org/10.1126/sciadv.adi7905)).
The `_data` folder contains code to collect all of the hydroclimatic and socioeconomic data used to generate the papers' conclusions.
The `_scripts` folder contains code to manipulate the data into timeseries datasets for all grid cells within California. 
The `results` folder contains code and formatted markdown files that reproduce all figures and numerical results from the papers.
The markdown files are also available as interactive HTML documents through the links below.

## Atmospheric River Sequences as Indicators of Hydrologic Hazard in Historical Reanalysis and GFDL SPEAR Future Climate Projections

* [reproduce_figures_sequences.html](https://corinnebowers.github.io/reproduce_figures_sequences.html) replicates all figures and numerical results from the main body of the paper, excepting Figure 2.
* [reproduce_fig2_sequences.html](https://corinnebowers.github.io/reproduce_fig2_sequences.html) replicates Figure 2 from the main body of the paper.
* [supplementary_figures_sequences.html](https://corinnebowers.github.io/supplementary_figures_sequences.html) presents the parameter sensitivity analysis and replicates all figures from the Supplementary Information.

## Temporal Compounding Increases Socioeconomic Impacts of Atmospheric Rivers in California

* [reproduce_figures_impacts.html](https://corinnebowers.github.io/reproduce_figures_impacts.html) replicates all figures and numerical results from the main body of the paper.
* [supplementary_figures_impacts.html](https://corinnebowers.github.io/supplementary_figures_impacts.html) replicates all figures from the Supplementary Information, including the AR detection algorithm sensitivity analysis.

If you have any further questions please contact Corinne Bowers. 

